## ros-noetic-laser-geometry 1.6.7

=== debian/changelog ===
ros-noetic-laser-geometry (1.6.7-1focal) focal; urgency=high

  * Require C++11
  * Contributors: Mabel Zhang, Martin Pecka

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 05 Feb 2021 05:00:00 -0000

ros-noetic-laser-geometry (1.6.6-1focal) focal; urgency=high

  * Handle FindEigen3 module's differing definitions, define EIGEN3_INCLUDE_DIRS with EIGEN3_INCLUDE_DIR.
  * update maintainers
  * Added transformLaserScanToPointCloud() version utilizing fixed frame.
  * Contributors: Jonathan Binney, Mabel Zhang, Martin Pecka, Scott K Logan

 -- Dave Hershberger <dave.hershberger@sri.com>  Thu, 14 Jan 2021 05:00:00 -0000

ros-noetic-laser-geometry (1.6.5-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048
  * Update package.xml to schema version 3
  * Choose python version based on what ros is using
  * Make rostest headers available to projection_test
  * Remove unneeded time header - it was breaking windows builds.
  * add DLL import/export macro
  * export dll on Windows
  * rename visibility macro
  * windows bringup
  * extend CMake install targets
  * Add dependency on tf2 for downstream packages
  * Update and fix package.xml Eigen dependency
  * Export Eigen dependency
  * Create LICENSE
  * Better use of numpy
  * Contributors: Eric Wieser, James Xu, Jochen Sprickerhof, Jon Binney, Jonathan Binney, Scott K Logan, Shane Loretz, Tully Foote, Vincent Rabaud, William Woodall

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 13 Mar 2020 04:00:00 -0000

ros-noetic-laser-geometry (1.6.4-1focal) focal; urgency=high

  * Fix segfault when laserscan ranges[] is empty
  * Contributors: Timm Linder, Vincent Rabaud

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 18 May 2015 04:00:00 -0000

ros-noetic-laser-geometry (1.6.3-1focal) focal; urgency=high

  * provide support for tf2
  * Contributors: Vincent Rabaud

 -- Dave Hershberger <dave.hershberger@sri.com>  Sat, 07 Mar 2015 05:00:00 -0000

ros-noetic-laser-geometry (1.6.2-1focal) focal; urgency=high

  * adds python port (only simple projection)
  * allows to have range_cutoff > range_max
    NOTE this is required if we need to keep the range_max readings
    in the point cloud.
    An example application is an obstacle_layer in a costmap.
  * Contributors: Vincent Rabaud, enriquefernandez

 -- Dave Hershberger <dave.hershberger@sri.com>  Sun, 08 Jun 2014 04:00:00 -0000

ros-noetic-laser-geometry (1.6.1-1focal) focal; urgency=high

  * Added dependency on cmake_modules
  * Contributors: William Woodall

 -- Dave Hershberger <dave.hershberger@sri.com>  Sun, 23 Feb 2014 05:00:00 -0000

ros-noetic-laser-geometry (1.6.0-1focal) focal; urgency=high

  * Adding William Woodall as a co-maintainer
  * Contributors: Vincent Rabaud, William Woodall

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 21 Feb 2014 05:00:00 -0000

ros-noetic-laser-geometry (1.5.15-1focal) focal; urgency=high

  * Fix mistake in end_time calculation for scan transformation in #6

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 02 Dec 2013 05:00:00 -0000

ros-noetic-laser-geometry (1.5.14-1focal) focal; urgency=high

  * Treat max_range as invalid measurement
  * Properly propagate range_cutoff
  * check for CATKIN_ENABLE_TESTING

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 04 Nov 2013 05:00:00 -0000

ros-noetic-laser-geometry (1.5.13-1focal) focal; urgency=high

  * fixes #3 <https://github.com/ros-perception/laser_geometry/issues/3>

 -- Dave Hershberger <dave.hershberger@sri.com>  Sun, 06 Oct 2013 04:00:00 -0000

ros-noetic-laser-geometry (1.5.12-1focal) focal; urgency=high

  * fix case of Eigen find_package name

 -- Dave Hershberger <dave.hershberger@sri.com>  Sat, 14 Sep 2013 04:00:00 -0000

ros-noetic-laser-geometry (1.5.11-1focal) focal; urgency=high

  * added missing run deps

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 01 Jul 2013 04:00:00 -0000

ros-noetic-laser-geometry (1.5.10-1focal) focal; urgency=high

  * [bugfix] export boost and eigen via DEPENDS

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 28 Jun 2013 19:09:00 -0000

ros-noetic-laser-geometry (1.5.9-1focal) focal; urgency=high

  * [bugfix] export boost and eigen include dirs

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 28 Jun 2013 15:38:00 -0000

ros-noetic-laser-geometry (1.5.8-1focal) focal; urgency=high

  * Added buildtool_depend on catkin

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 14 Dec 2012 18:54:00 -0000

ros-noetic-laser-geometry (1.5.7-1focal) focal; urgency=high

  * CMake clean up

 -- Dave Hershberger <dave.hershberger@sri.com>  Fri, 14 Dec 2012 18:48:00 -0000

ros-noetic-laser-geometry (1.5.6-1focal) focal; urgency=high

  * Removed vestigial manifest.xml

 -- Dave Hershberger <dave.hershberger@sri.com>  Mon, 10 Dec 2012 05:00:00 -0000

ros-noetic-laser-geometry (1.5.5-1focal) focal; urgency=high

  * Added .count field (of 1) to every PointCloud2 field description.
    This fixes the bug referred to here: http://dev.pointclouds.org/issues/821 which is useful because that fix in PCL
    seems not to be released yet.
    Also this way is more correct, as far as I can tell.
  * Tidied up CMakeLists.txt based on Dirk's recommendations.

 -- Dave Hershberger <dave.hershberger@sri.com>  Thu, 15 Nov 2012 05:00:00 -0000

ros-noetic-laser-geometry (1.5.4-1focal) focal; urgency=high

  * added install rules to CMakeLists.txt needed for catkinization.
  * catkinized

 -- Dave Hershberger <dave.hershberger@sri.com>  Wed, 10 Oct 2012 04:00:00 -0000
