=== debian/control ===
Source: ros-noetic-laser-geometry
Section: misc
Priority: optional
Maintainer: Dave Hershberger <dave.hershberger@sri.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, ros-noetic-angles, ros-noetic-catkin (>= 0.5.68), ros-noetic-roscpp, ros-noetic-rosunit, ros-noetic-sensor-msgs, ros-noetic-tf, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs
Homepage: http://ros.org/wiki/laser_geometry
Standards-Version: 3.9.2

Package: ros-noetic-laser-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, python3-numpy, ros-noetic-angles, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf, ros-noetic-tf2
Description: This package contains a class for converting from a 2D laser scan as defined by sensor_msgs/LaserScan into a point cloud as defined by sensor_msgs/PointCloud or sensor_msgs/PointCloud2.
 In particular, it contains functionality to account for the skew resulting from moving robots or tilting laser scanners.
